This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 832808 - default home page lacks buttons, no easy way to fix
default home page lacks buttons, no easy way to fix
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 10:29 EDT by Michael S. Tsirkin
Modified: 2012-06-21 09:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 09:26:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael S. Tsirkin 2012-06-17 10:29:43 EDT
Description of problem:
firefox homepage (about:home)
now has convenient buttons to go to popular
locations: Downloads,Bookmarks,History,Addons,Sync,Settings.
This is more convenient than hunting for them in menus,
and also addresses the problem that the location
is different between firefox on linux and windows.

For branding, Fedora changed the homepage to:
http://start.fedoraproject.org/ 
whiuch lacks these buttons.
Default homepage also does not need internet access to work,
fedora's one does.

Especially annoying as promotional video you get
from firefox update highlights these buttons
as a new feature.

Version-Release number of selected component (if applicable):
firefox=13.0-1.fc17

How reproducible:
always

Steps to Reproduce:
1. disconnect from internet
2. start new instance firefox
3. click home if not already there

Actual results:
get an error page

Expected results:
should get a local homepage with access to downloads,
settings etc.


Additional info:
Comment 1 Martin Stransky 2012-06-21 06:47:24 EDT
The default Fedora homepage is used by other browsers too (epiphany, midori, seamonkey) and it's something what user should see when the browser is started for first time. We can consider to switch it to the "firstrun" page, but it's more political than technical decision. I suggest to raise such question on fedora-devel or file a FESCO ticket.
Comment 2 Michael S. Tsirkin 2012-06-21 07:06:21 EDT
In my humble opinion, there's no need to go political.
Just copy the fedora page locally, as part of firefox rpm, call it about:fedora and include both branding and features that about:home has.
Comment 3 Martin Stransky 2012-06-21 09:26:01 EDT
Such page can't provide dynamic content which the recent one provides...it may be archieved somehow (as nested element in the static page) but I don't think it's worth the complications. Just set the about:home as your default homepage. Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.